import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * a splat mark that slowly disappears
 * 
 * @author (Stephen Clement) 
 * @version (1.1)
 */
public class Splat extends Actor
{
    private int wait = 0;
    private boolean flag = false;
    GreenfootImage splat;

    public Splat(){
        wait = 3;
    }
    
    public Splat(int color, int width, int height){
        if(color == 2)
        {
            splat = new GreenfootImage("splat_red.PNG");
            setImage(splat);
        }
        else
        {
            splat = new GreenfootImage ("splat_blue.PNG");
            setImage(splat);
        }
        GreenfootImage splat = getImage();
        splat.scale(width,height);
        wait = 3;
    }

    public void act() 
    {
        if(getWidth() <= 1 || getHeight() <= 1){
            flag = true;
        }
        
       if(wait == 0&&flag==false){
           GreenfootImage splat=getImage();
           splat.scale(getWidth()-1,getHeight()-1);
           setImage(splat);
           wait = 3;
        }
       if (wait > 0){
           wait--;
        }
        if(flag == true){
            getWorld().removeObject(this);
        }
    }    
}
