import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color; 
/**
 * keeps track of the number of kills a person has gotten
 * 
 * @author (Stephen Clement) 
 * @version (1.1)
 */
public class score_counter extends counter
{
    private int score = 0;
    private String pretext;
    private GreenfootImage img = new GreenfootImage (70,20);

    public score_counter(String pretext){
        this.pretext = pretext;
        img = new GreenfootImage (50,20);
    }
    
    public void addScore(int score)
    {
        this.score += score;
    }
    
    public void setScore(int score)
    {
        this.score = score;
    }
    
    public void update(){
         GreenfootImage img = getImage();
         img.clear();
         img.setColor(Color.white);
         img.scale(70,30);
         img.drawString(pretext + score, 0,10);
        }
        
    public void act()
    {
        update();
    }
        
}
