import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 *The paintballs that are shot by the different soldiers
 * 
 * @author Stephen Clement 
 * @version 1.1
 */
public class Paintball extends MovingUnit
{
    private boolean splat = false;
    private boolean die = false;
    private boolean d = false;
    public boolean splatr = false;
    GreenfootImage paintball;
    public Actor soldier;
    private Soldier player;
    private int team;
    public int splatWidth;
    public int splatHeight;
    /**
     * Act - do whatever the paintball_blue wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public Paintball(){
    }

     public Paintball(int team, int Width, int Height, int Rotation, int splatWidth, int splatHeight){
        if(team == 2)
        {
            paintball = new GreenfootImage("paintball_red.PNG");
            setImage(paintball);
            setRotation(-Rotation);
        }
        else
        {
            paintball = new GreenfootImage("paintball_blue.PNG");
            setImage(paintball);
            setRotation(Rotation);
        }
        GreenfootImage ball = getImage();
        ball.scale(Width,Height);
        this.splatWidth = splatWidth;
        this.splatHeight = splatHeight;
        this.team = team;
    }
    
     public void paintballBasics(){
         if(team == 2){
             moveInvert();
            }
            else
            {
                move();
            }
      if(atWorldEdge()){
          die = true;
        }
    }
    
    public void seeObstacles(){
     if(getOneObjectAtOffset(0,0,sandbag.class) != null){
         splat = true;
        }
    }
    
    public void killSoldier(){
        if(getOneObjectAtOffset(0,0,Soldier.class) != null){
            soldier = getOneObjectAtOffset(0,0,Soldier.class);
            player = (Soldier)soldier;
        }
        int teamSoldier = player.team;
        if(teamSoldier != team){
            player.die();
            getWorld().removeObject(player);
            Soldier newPlayer = new Soldier();
            newPlayer.setTeam(teamSoldier);
            ((StephenWorld)getWorld()).addSoldier(newPlayer);
            splat = true;
        }
    }

    public void splat(){
     if(splat == true){
         Greenfoot.playSound("paintball_splat.wav");
         getWorld().addObject(new Splat(team,splatWidth,splatHeight),getX(),getY());
         getWorld().removeObject(this);
        }
        else if (die==true)
        {
            getWorld().removeObject(this);
        }
    } 
    
    public void act()
    {
        paintballBasics();
        seeObstacles();
        killSoldier();
        splat();
    }
}