import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A gun image that has different attributes that apply to the soldier by which it is picked up
 * 
 * @author Stephen Clement
 * @version 1.1
 */
public class gun extends Actor
{
    public int ammo = 70;
    public int clips = 10;
    public int clipSize = 7;
    public int bullets;
    private int respawnTime = 400;
    private boolean dropped = false;
    public int typeOfGun = 1;
    GreenfootImage gun;
    
    
    public gun()
    {
    }
    
    public gun(int typeOfGun)
    {
        this.typeOfGun = typeOfGun;
        switch(typeOfGun){
            case 1 :
                    gun = new GreenfootImage("pistol.PNG");
                    ammo = 63;
                    clips = 9;
                    clipSize = 7;
                    bullets = 7;
                    break;
                    
            case 2 :
                    gun = new GreenfootImage("machinegun.PNG");
                    ammo = 45;
                    clips = 3;
                    clipSize = 15;
                    bullets = 15;
                    break;
                    
            case 3 :
                    gun = new GreenfootImage("shotgun.PNG");
                    ammo = 8;
                    clips = 2;
                    clipSize = 4;
                    bullets = 4;
                    break;
                }
                setImage(gun);
            }
            
      public gun(int typeOfGun, int ammo, int clips, int bullets)
      {
          this.typeOfGun = typeOfGun;
        switch(typeOfGun){
            case 1 :
                    gun = new GreenfootImage("pistol.PNG");
                    break;
                    
            case 2 :
                    gun = new GreenfootImage("machinegun.PNG");
                    break;
                    
            case 3 :
                    gun = new GreenfootImage("shotgun.PNG");
                    break;
                }
                setImage(gun);
        this.ammo = ammo;
        this.clips = clips;
        this.bullets = bullets;
        dropped = true;
    }
                
    
    public void act() 
    {
        if(dropped)
        {
            respawnTime--;
        }
        
        if(respawnTime == 0)
        {
            getWorld().removeObject(this);
        }
    }    
}
