import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color; 

/**
 * A counter that counts down from 5 minutes and calculates seconds as well
 * 
 * @author Stephen Clement 
 * @version 1.1
 */
public class time_keeper extends counter
{
    private int minutes = 5;
    private int seconds = 0;
    private int totalSeconds = 59;
    private int cyclesPerSecond = 50;
    private int totalCycles = 50;
    private GreenfootImage img = new GreenfootImage (50,20);


    public time_keeper(){
        img = new GreenfootImage (50,20); 
    }
    
    
   public void act()
   {
       if(cyclesPerSecond > 0)
       {
           cyclesPerSecond--;
        }
        else if(cyclesPerSecond == 0)
        {
            seconds--;
            cyclesPerSecond = totalCycles;
        }
        
        if(seconds == 0)
        {
            minutes--;
            if(((StephenWorld) getWorld()).map == 1)
            {
            ((StephenWorld) getWorld()).respawnMap1Weapons();
        }
        else
        {
            ((StephenWorld) getWorld()).respawnMap2Weapons();
        }
            seconds = totalSeconds;
        }
        
        update();
        
        if(minutes <= 0&&seconds <= 0)
        {
            Greenfoot.playSound("Game_Over.wav");
            Greenfoot.stopSimulation();
        }
    }
    
          
     public void update()
     {
         GreenfootImage img = getImage();
         img.clear();
         img.setColor(Color.white);
         img.scale(50,30);
         if(seconds < 10)
         {
            img.drawString(minutes + ":0" + seconds, 0,10); 
            if(minutes == 0)
            {
                Greenfoot.playSound("ending_seconds.wav");
            }
        }
        else{
        img.drawString(minutes + ":" + seconds, 5,10);
    }
    }
}
